# OrderByClause

    public protocol OrderByClause

Abstracts the `OrderBy` clause for protocol utilities.

- `ObjectType`

  The `DynamicObject` type associated with the clause

  #### Declaration

  Swift

      associatedtype ObjectType : DynamicObject

- `sortDescriptors`

  The `NSSortDescriptor` array for the fetch or query

  #### Declaration

  Swift

      var sortDescriptors: [NSSortDescriptor] { get }